Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class TieAccessControlEntry

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

                        |

                        +--oracle.ifs.beans.TieSystemObject

                              |

                              +--oracle.ifs.beans.AccessControlEntry

                                    |

                                    +--oracle.ifs.beans.TieAccessControlEntry

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

public class TieAccessControlEntry
extends AccessControlEntry

TieAccessControlEntry allows the Oracle-defined behavior of the ACCESSCONTROLENTRY classobject (and its subclasses) to be extended or overridden.

See Also:
  `AccessControlEntry`

Fields inherited from class oracle.ifs.beans.AccessControlEntry
`ACCESSLEVEL_ATTRIBUTE, ACL_ATTRIBUTE, CLASS_NAME, EXTENDEDPERMISSIONS_ATTRIBUTE, GRANTED_ATTRIBUTE, GRANTEE_ATTRIBUTE, PERMISSIONBUNDLES_ATTRIBUTE, SORTSEQUENCE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Constructor Summary
`protected` | `TieAccessControlEntry(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a TieAccessControlEntry.

Methods inherited from class oracle.ifs.beans.AccessControlEntry
`getAcl, getDistinctAccessLevel, getExtendedPermissions, getGrantee, getMergedAccessLevel, getPermissionBundles, getSortSequence`

Methods inherited from class oracle.ifs.beans.SystemObject
`getPolicyBundle, getPropertyBundle, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### TieAccessControlEntry

    protected TieAccessControlEntry(LibrarySession session,
                                    java.lang.Long id,
                                    java.lang.Long classId,
                                    S_LibraryObjectData data)
                             throws IfsException

  Constructs a TieAccessControlEntry.
  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD